## Sequence Generation

## Usage

    from:to
    seq(from, to)
    seq(from, to, by=)
    seq(from, to, length=)
    seq(along)

## Description

The `:` and the first `seq(.)` form above generate the sequence `from, from+1`, ..., `to`. `seq` is a generic function.

The second, `from, from+by`, ..., `to`. The third generates a sequence of `length` equally spaced values from `from` to `to`. The last generates the sequence `1, 2`, ..., `length(along)`.

If `from` and `to` are factors of the same length, the ``cross'' of the two is returned.

## Value

The result is of `mode` `"integer"` if `from` is (numerically equal to an) integer.

## See Also

`rep`, `sequence`, `row`, `col`.

## Examples

    1:4
    pi:6 # float
    6:pi # integer

    seq(0,1, length=11)
    seq(1,9, by = 2) # match
    seq(1,9, by = pi)# stay below
    seq(1,6, by = 3)
    seq(1.575, 5.125, by=0.05)

    1:4
    pi:6 # float
    6:pi # integer

    seq(0,1, length=11)
    seq(1,9, by = 2) # match
    seq(1,9, by = pi)# stay below
    seq(1,6, by = 3)
    seq(1.575, 5.125, by=0.05)

    for (x in list(NULL, letters[1:6], list(1,pi)))
      cat("x=",deparse(x),";  seq(along = x):",seq(along = x),"\n")

    f1_ gl(2,3); f1
    f2_ gl(3,2); f2
    f1:f2 # a factor, the ``cross''  f1 x f2

    for (x in list(NULL, letters[1:6], list(1,pi)))
      cat("x=",deparse(x),";  seq(along = x):",seq(along = x),"\n")

    f1_ gl(2,3); f1
    f2_ gl(3,2); f2
    f1:f2 # a factor, the ``cross''  f1 x f2

[Package Contents]